import org.w3.x2005.x08.addressing.EndpointReferenceType;
import de.fzj.unicore.uas.client.BaseUASClient;
import org.chemomentum.workflow.xmlbeans.WorkflowFactoryPropertiesDocument; 

try {
  if (commandLine.getArgs().size() != 2)
    throw new Exception("Usage: run-groovy -f test_workflow.groovy WORKFLOW_SERVICE_URL");

  def workflowServiceURL = commandLine.args[1];
  def epr = EndpointReferenceType.Factory.newInstance();
  epr.addNewAddress().setStringValue(workflowServiceURL);
  bc = new BaseUASClient(workflowServiceURL, epr, securityProperties);
  rpd = bc.GetResourcePropertyDocument();
  if (rpd == null) {
    throw new Exception('WorkflowFactory service exists in Registry but doesn\'t respond!');
  }
  wfpd=WorkflowFactoryPropertiesDocument.Factory.parse(rpd.getGetResourcePropertyDocumentResponse().newInputStream());
  workflows = wfpd.getWorkflowFactoryProperties().getAccessibleWorkflowReferenceArray(); 
  messageWriter.message "Found " + workflows.size() + " available workflows";
} catch (Exception e) {
  messageWriter.message e.message;
  e.printStackTrace();
  return;
}
